Class Fox::FXMenuCommand

In: | FXMenuCommand.rb
Parent: | FXMenuCaption

The FXMenuCommand widget is used to invoke a command in the application from a menu. Menu commands may reflect the state of the application by graying out, becoming hidden, or by a check mark or bullet.

### Events

The following messages are sent by FXMenuCommand to its target:

`SEL_KEYPRESS`: | sent when a key goes down; the message data is an FXEvent instance.
`SEL_KEYRELEASE`: | sent when a key goes up; the message data is an FXEvent instance.
`SEL_COMMAND`: | sent when the command is activated

Methods

check checkRadio checked? new radioChecked? uncheck uncheckRadio

Attributes

accelText | [RW] | Accelerator text [String]

Public Class methods

new(parent, text, icon=nil, target=nil, selector=0, opts=0) {|theMenuCommand| ...}

Construct a menu command

Public Instance methods

check()

Place checkmark next to text

uncheck()

Uncheck the item

checked?()

Return `true` if checked

checkRadio()

Place radio bullet next to text

uncheckRadio()

Uncheck radio bullet

radioChecked?()

Return `true` if radio-checked